<h1 mat-dialog-title>Ajouter un jardin</h1>

<div mat-dialog-content class="d-flex flex-column align-items-center">

  <mat-form-field>
    <input matInput placeholder="Choisir un nom" [(ngModel)]="newGarden.name" name="name">
  </mat-form-field>
  <mat-form-field>
    <input matInput placeholder="Localité" [(ngModel)]="newGarden.location" name="location"  (input)='search()' [matAutocomplete]="auto">
    <mat-autocomplete #auto="matAutocomplete">
      <mat-option *ngFor="let item of addresses" [value]="item">
        {{item}}
      </mat-option>
    </mat-autocomplete>
    <button mat-icon-button matSuffix>
      <mat-icon class="d-flex align-items-center">
        my_location
      </mat-icon>
  </button>
  </mat-form-field>
  <mat-form-field>
    <mat-label>Products</mat-label>
    <mat-select multiple [(ngModel)]="newGarden.products" name="products">
    <mat-optgroup *ngFor="let category of categories" [label]="category.name">
        <mat-option *ngFor="let product of category.products"  [value]="product.id">{{product.name}}</mat-option>
     
    </mat-optgroup>
  </mat-select>
  </mat-form-field>
</div>
<div mat-dialog-actions class="justify-content-between">
  <button mat-button (click)="onNoClick()">Retour</button>
  <button mat-button (click)="toValidate()" cdkFocusInitial>Valider</button>
</div>
